<?php
/**
 * Superb transition slideshow
 *
 * @package Superb transition slideshow
 * @subpackage Superb transition slideshow
 * @version   3.3
 * @author    Gopi Ramasamy
 * @copyright Copyright (C) 2010 - 2014 www.gopiplus.com, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */

// no direct access
defined('_JEXEC') or die;

// Include the helper functions only once
require_once __DIR__ . '/helper.php';

$folder	= modSuperbTransitioSlideshowHelper::getFolder($params);
$images	= modSuperbTransitioSlideshowHelper::getImages($params, $folder);

// check image count
if (!count($images)) 
{
	echo JText::_('NO IMAGES ' . $folder . '<br><br>');
	return;
}

// include the javascript for slideshow
modSuperbTransitioSlideshowHelper::loadScripts($params);

// include the template for display
require(JModuleHelper::getLayoutPath('mod_superb_transition_slideshow'));

?>